<?php
include 'header.php';
include 'erpc_fornecedores_toolbar.php'; //Nome da tabela _list.php
require_once 'connect.php';

// Método para post de Query Avançada
	$consulta = "SELECT * FROM erpc_fornecedores where st_ativo = 1";

	//Efetuando busca avançada - se passado os parametros
	if(isset($_POST['pesquisar'])) {
		$id = trim($_POST['id']);
		$ds_codigo = trim($_POST['ds_codigo']);
		$ds_razao = trim($_POST['ds_razao']);
		$ds_fantasia = trim($_POST['ds_fantasia']);
		$ds_endereco = trim($_POST['ds_endereco']);
		$ds_complemento = trim($_POST['ds_complemento']);
		$id_municipio = trim($_POST['id_municipio']);
		$ds_cep = trim($_POST['ds_cep']);
		$ds_cx_postal = trim($_POST['ds_cx_postal']);
		$tp_tipo = trim($_POST['tp_tipo']);
		$ds_cpf_cnpj = trim($_POST['ds_cpf_cnpj']);
		$ds_rg = trim($_POST['ds_rg']);
		$ds_ddi = trim($_POST['ds_ddi']);
		$ds_ddd = trim($_POST['ds_ddd']);
		$ds_telefone = trim($_POST['ds_telefone']);
		$ds_fax = trim($_POST['ds_fax']);
		$ds_celular = trim($_POST['ds_celular']);
		$id_operadora = trim($_POST['id_operadora']);
		$ds_ie = trim($_POST['ds_ie']);
		$ds_im = trim($_POST['ds_im']);
		$ds_departamento = trim($_POST['ds_departamento']);
		$ds_email = trim($_POST['ds_email']);
		$ds_homepage = trim($_POST['ds_homepage']);
		$ds_telex = trim($_POST['ds_telex']);
		$ds_cod_cbo = trim($_POST['ds_cod_cbo']);
		$ds_cod_cnae = trim($_POST['ds_cod_cnae']);
		$st_acao = trim($_POST['st_acao']);
		$id_bancos = trim($_POST['id_bancos']);
		$ds_agencia = trim($_POST['ds_agencia']);
		$ds_conta_corrente = trim($_POST['ds_conta_corrente']);
		$ds_natureza_padrao = trim($_POST['ds_natureza_padrao']);
		$id_condicao_pagamento = trim($_POST['id_condicao_pagamento']);
		$vl_maior_compra = trim($_POST['vl_maior_compra']);
		$nr_media_atraso = trim($_POST['nr_media_atraso']);
		$vl_maior_saldo = trim($_POST['vl_maior_saldo']);
		$nr_compras = trim($_POST['nr_compras']);
		$vl_saldo_duplicatas = trim($_POST['vl_saldo_duplicatas']);
		$erpc_fornecedorescol = trim($_POST['erpc_fornecedorescol']);
		$id_planofin_padrao = trim($_POST['id_planofin_padrao']);
		$id_tipo_contrato_social = trim($_POST['id_tipo_contrato_social']);
		$fl_recolhe_iss = trim($_POST['fl_recolhe_iss']);
		$ds_cod_municipal_zf = trim($_POST['ds_cod_municipal_zf']);
		$fl_calcula_inss = trim($_POST['fl_calcula_inss']);
		$fl_recolhe_pis = trim($_POST['fl_recolhe_pis']);
		$fl_recolhe_cofins = trim($_POST['fl_recolhe_cofins']);
		$fl_calcula_irrf = trim($_POST['fl_calcula_irrf']);
		$ds_contato = trim($_POST['ds_contato']);
		$id_transportadora = trim($_POST['id_transportadora']);
		$ds_risco = trim($_POST['ds_risco']);
		$dt_primeira_compra = trim($_POST['dt_primeira_compra']);
		$dt_ultima_compra = trim($_POST['dt_ultima_compra']);
		$fl_utiliza_b2b = trim($_POST['fl_utiliza_b2b']);
		$dh_alteracao = trim($_POST['dh_alteracao']);
		$id_usuario = trim($_POST['id_usuario']);
		$st_ativo = trim($_POST['st_ativo']);


		$consulta .= (!empty($id)            	? " and id            	like '%$id%'"            : '');
		$consulta .= (!empty($ds_codigo)      ? " and ds_codigo       like '%$ds_codigo%'"            : '');
		$consulta .= (!empty($ds_razao)       ? " and ds_razao        like '%$ds_razao%'"            : '');
		$consulta .= (!empty($ds_fantasia)    ? " and ds_fantasia     like '%$ds_fantasia%'"            : '');
		$consulta .= (!empty($ds_endereco)    ? " and ds_endereco     like '%$ds_endereco%'"            : '');
		$consulta .= (!empty($ds_complemento) ? " and ds_complemento  like '%$ds_complemento%'"            : '');
		$consulta .= (!empty($id_municipio)   ? " and id_municipio    like '%$id_municipio%'"            : '');
		$consulta .= (!empty($ds_cep)         ? " and ds_cep          like '%$ds_cep%'"            : '');
		$consulta .= (!empty($ds_cx_postal)   ? " and ds_cx_postal    like '%$ds_cx_postal%'"            : '');
		$consulta .= (!empty($tp_tipo)        ? " and tp_tipo         like '%$tp_tipo%'"            : '');
		$consulta .= (!empty($ds_cpf_cnpj)    ? " and ds_cpf_cnpj     like '%$ds_cpf_cnpj%'"            : '');
		$consulta .= (!empty($ds_rg)          ? " and ds_rg           like '%$ds_rg%'"            : '');
		$consulta .= (!empty($ds_ddi)         ? " and ds_ddi          like '%$ds_ddi%'"            : '');
		$consulta .= (!empty($ds_ddd)         ? " and ds_ddd          like '%$ds_ddd%'"            : '');
		$consulta .= (!empty($ds_telefone)    ? " and ds_telefone     like '%$ds_telefone%'"            : '');
		$consulta .= (!empty($ds_fax)         ? " and ds_fax          like '%$ds_fax%'"            : '');
		$consulta .= (!empty($ds_celular)     ? " and ds_celular      like '%$ds_celular%'"            : '');
		$consulta .= (!empty($id_operadora)   ? " and id_operadora     like '%$id_operadora%'"            : '');
		$consulta .= (!empty($ds_ie)          ? " and ds_ie            like '%$ds_ie%'"            : '');
		$consulta .= (!empty($ds_im)          ? " and ds_im            like '%$ds_im%'"            : '');
		$consulta .= (!empty($ds_departamento)? " and ds_departamento  like '%$ds_departamento%'"            : '');
		$consulta .= (!empty($ds_email)       ? " and ds_email         like '%$ds_email%'"            : '');
		$consulta .= (!empty($ds_homepage)    ? " and ds_homepage      like '%$ds_homepage%'"            : '');
		$consulta .= (!empty($ds_telex)       ? " and ds_telex         like '%$ds_telex%'"            : '');
		$consulta .= (!empty($ds_cod_cbo)     ? " and ds_cod_cbo       like '%$ds_cod_cbo%'"            : '');
		$consulta .= (!empty($ds_cod_cnae)    ? " and ds_cod_cnae      like '%$ds_cod_cnae%'"            : '');
		$consulta .= (!empty($st_acao)        ? " and st_acao          like '%$st_acao%'"            : '');
		$consulta .= (!empty($id_bancos)      ? " and id_bancos            like '%$id_bancos%'"            : '');
		$consulta .= (!empty($ds_agencia)           ? " and ds_agencia     like '%$ds_agencia%'"            : '');
		$consulta .= (!empty($ds_conta_corrente)    ? " and ds_conta_corrente       like '%$ds_conta_corrente%'"            : '');
		$consulta .= (!empty($ds_natureza_padrao)   ? " and ds_natureza_padrao      like '%$ds_natureza_padrao%'"            : '');
		$consulta .= (!empty($id_condicao_pagamento)? " and id_condicao_pagamento   like '%$id_condicao_pagamento%'"            : '');
		$consulta .= (!empty($vl_maior_compra)      ? " and vl_maior_compra         like '%$vl_maior_compra%'"            : '');
		$consulta .= (!empty($nr_media_atraso)      ? " and nr_media_atraso         like '%$nr_media_atraso%'"            : '');
		$consulta .= (!empty($vl_maior_saldo)       ? " and vl_maior_saldo          like '%$vl_maior_saldo%'"            : '');
		$consulta .= (!empty($nr_compras)           ? " and nr_compras            	like '%$nr_compras%'"            : '');
		$consulta .= (!empty($vl_saldo_duplicatas)  ? " and vl_saldo_duplicatas     like '%$vl_saldo_duplicatas%'"            : '');
		$consulta .= (!empty($erpc_fornecedorescol)    ? " and erpc_fornecedorescol like '%$erpc_fornecedorescol%'"            : '');
		$consulta .= (!empty($id_planofin_padrao)      ? " and id_planofin_padrao     	like '%$id_planofin_padrao%'"            : '');
		$consulta .= (!empty($id_tipo_contrato_social) ? " and id_tipo_contrato_social  like '%$id_tipo_contrato_social%'"            : '');
		$consulta .= (!empty($fl_recolhe_iss)          ? " and fl_recolhe_iss           like '%$fl_recolhe_iss%'"            : '');
		$consulta .= (!empty($ds_cod_municipal_zf)     ? " and ds_cod_municipal_zf      like '%$ds_cod_municipal_zf%'"            : '');
		$consulta .= (!empty($fl_calcula_inss)         ? " and fl_calcula_inss          like '%$fl_calcula_inss%'"            : '');
		$consulta .= (!empty($fl_recolhe_pis)          ? " and fl_recolhe_pis           like '%$fl_recolhe_pis%'"            : '');
		$consulta .= (!empty($fl_recolhe_cofins)       ? " and fl_recolhe_cofins        like '%$fl_recolhe_cofins%'"            : '');
		$consulta .= (!empty($fl_calcula_irrf)         ? " and fl_calcula_irrf          like '%$fl_calcula_irrf%'"            : '');
		$consulta .= (!empty($ds_contato)              ? " and ds_contato            like '%$ds_contato%'"            : '');
		$consulta .= (!empty($id_transportadora)       ? " and id_transportadora     like '%$id_transportadora%'"            : '');
		$consulta .= (!empty($ds_risco)                ? " and ds_risco            	 like '%$ds_risco%'"            : '');
		$consulta .= (!empty($dt_primeira_compra)      ? " and dt_primeira_compra    like '%$dt_primeira_compra%'"            : '');
		$consulta .= (!empty($dt_ultima_compra)        ? " and dt_ultima_compra      like '%$dt_ultima_compra%'"            : '');
		$consulta .= (!empty($fl_utiliza_b2b)          ? " and fl_utiliza_b2b        like '%$fl_utiliza_b2b%'"            : '');
		$consulta .= (!empty($dh_alteracao)            ? " and dh_alteracao          like '%$dh_alteracao%'"            : '');
		$consulta .= (!empty($id_usuario)              ? " and id_usuario            like '%$id_usuario%'"            : '');
		$consulta .= (!empty($st_ativo)                ? " and st_ativo              like '%$st_ativo%'"            : '');

	}
?>

<div class="block">
  <div class="header">
  <h2>Lista de Fornecedores</h2>
  </div>
  <div class="content">
    <div class="table-responsive">
      <table class="table table-bordered table-striped table-responsible sortable">
        <thead>
          <tr>
            <th width=05%>ID</th>
            <th width=10%>Código</th>
						<th width=30%>Razão Social</th>
						<th width=20%>Fantasia</th>
            <th width=20%>CNPJ</th>
						<th width=05%>Editar</th>
						<th width=05%>Excluir</th>
          </tr>
        </thead>
        <tbody>

          <?php

			$resultado = mysqli_query($conexao, $consulta) or die ($erro = mysqli_error($conexao));
			if (mysqli_num_rows($resultado)>0) {
            while ($registro = mysqli_fetch_assoc($resultado)){

            $id       	= $registro['id'];
            $id_crip	 	= base64_encode($id);

						$ds_codigo = $registro['ds_codigo'];
						$st_acao = $registro['st_acao'];
						$ds_razao = $registro['ds_razao'];
						$ds_fantasia = $registro['ds_fantasia'];
						$ds_cep = $registro['ds_cep'];
						$ds_endereco = $registro['ds_endereco'];
						$ds_complemento = $registro['ds_complemento'];
						$id_municipio = $registro['id_municipio'];
						$ds_cx_postal = $registro['ds_cx_postal'];
						$ds_cpf_cnpj = $registro['ds_cpf_cnpj'];

			   echo "<tr>";
            // echo "<td class='text-center'><input type='checkbox' /></td>";
            echo "<td>$id</td>";
            echo "<td>$ds_codigo</td>";
						echo "<td>$ds_razao</td>";
						echo "<td>$ds_fantasia</td>";
						echo "<td>$ds_cpf_cnpj</td>";

						echo "<td class='text-center'><a href='erpc_fornecedores_edit.php?id=$id_crip'>  <i class='glyphicon glyphicon-pencil' title='Editar'><span class='sr-only'>Editar</span></i></a></td>";
            echo "<td class='text-center'><a href='erpc_fornecedores_remove.php?id=$id_crip'><i class='glyphicon glyphicon-remove' title='Remover'><span class='sr-only'>Remover</span></i></a></td>";
          echo "</tr>";
            }
          }
          ?>
        </tbody>
      </table>
    </div> <!-- table-responsive -->
  </div> <!-- content -->
</div> <!-- block -->
<?php include 'footer.php';?>
